class SceneOverlay extends Phaser.Scene
{
    create (data)
    {
        this.parent = data.scene;
        this.vDelta = data.vDelta;
        this.x = data.x;
        this.y = data.y;
        this.overlay = this.add.image(this.x, this.y + this.vDelta, 'overlay');
        this.scene.sleep();
    }

    onOrientationChange(v)
    {
        this.vDelta = v;
        this.overlay.setPosition(this.x, this.y + this.vDelta);
    }
}
